# Interface AbstractControlOptions<T, E>

interface AbstractControlOptions<T = any, E extends NgValidationErrors = any> {
asyncValidators?:
| null
| AsyncValidatorFn<T, E>
| AsyncValidatorFn<T, E>[];
updateOn?: "change" | "blur" | "submit";
validators?: null | ValidatorFn<T, E> | ValidatorFn<T, E>[];
}

#### Type Parameters

- T = any
- E extends NgValidationErrors = any

#### Hierarchy

- AbstractControlOptions
  - AbstractControlOptions

- Defined in packages/angular/forms/src/lib/types.ts:21

#####
Index

### Properties

asyncValidators?
updateOn?
validators?

##
Properties

### `Optional` asyncValidators

asyncValidators?: null | AsyncValidatorFn<T, E> | AsyncValidatorFn<T, E>[]

#### Description

The list of async validators applied to control.

Overrides NgAbstractControlOptions.asyncValidators

- Defined in packages/angular/forms/src/lib/types.ts:23

### `Optional` updateOn

updateOn?: "change" | "blur" | "submit"

#### Description

The event name for control to update upon.

Inherited from NgAbstractControlOptions.updateOn

- Defined in node_modules/@angular/forms/index.d.ts:910

### `Optional` validators

validators?: null | ValidatorFn<T, E> | ValidatorFn<T, E>[]

#### Description

The list of validators applied to a control.

Overrides NgAbstractControlOptions.validators

- Defined in packages/angular/forms/src/lib/types.ts:22